%define uname   QComicBook

Name:		qcomicbook
Version:	0.9.1
Release:	%mkrel 5
Summary:	Comic book archive viewer
Group:		File tools
License:	GPLv2+
URL:		https://github.com/stolowski/QComicBook
Source0:	https://github.com/stolowski/QComicBook/archive/%{version}/%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qttools5

Requires:	unzip
Recommends:	unrar
Recommends:	p7zip

%description
QComicBook is a viewer for comic book archives containing jpeg/png
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and japanese mode
    * thumbnails view
    * page scaling (fit to window witdth/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more...

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.9.1-5.mga8
+ Revision: 1659475
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.9.1-4.mga8
+ Revision: 1524939
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.9.1-3.mga7
+ Revision: 1384149
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-2.mga7
+ Revision: 1300638
- Mageia 7 Mass Rebuild

* Sat Jun 03 2017 akien <akien> 0.9.1-1.mga6
+ Revision: 1105962
- Version 0.9.1, Qt5 based

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.9.0-8.mga6
+ Revision: 1070642
- rebuild for poppler

* Tue Feb 16 2016 umeabot <umeabot> 0.9.0-7.mga6
+ Revision: 962477
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.0-6.mga6
+ Revision: 895437
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 748371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 688470
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 517822
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 379795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 04 2012 vaci0 <vaci0> 0.9.0-1.mga3
+ Revision: 278419
- Updated to version 0.9.0

* Wed Jun 13 2012 fwang <fwang> 0.8.2-2.mga3
+ Revision: 260189
- rebuild for new poppler

* Tue Oct 18 2011 mikala <mikala> 0.8.2-1.mga2
+ Revision: 156227
- Update tarball to 0.8.2

* Thu Sep 15 2011 mikala <mikala> 0.8.1-1.mga2
+ Revision: 143843
- Update tarball to 0.8.1
- use pkgconfig() for BR
- Fix BR
- Add some documentation
- Remove %%defattr()
- Remove %%clean section

* Wed Jun 08 2011 mikala <mikala> 0.7.2-1.mga2
+ Revision: 101993
- Clean spec
- imported package qcomicbook


* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 447920
- update to new version 0.4.4

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.0
+ Revision: 441078
- Update to new version 0.4.3
- Use included desktop file, but fix it

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 415660
- Update to new version 0.4.1

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-4mdv2009.0
+ Revision: 259907
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-3mdv2009.0
+ Revision: 247756
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 107404
- require desktop-file-utils
- fix build to use Qt4
- fix menus and icons
- really fix BuildRequires
- fix BuildRequires

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - new license policy
    - fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 47150
- BR imlib
- New version


* Mon Aug 28 2006 Lenny Cartier <lenny@mandriva.com> 0.3.2-1mdv2007.0
- 0.3.2

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.7-1mdk
- 0.2.7

* Tue Nov 15 2005 Lenny Cartier <lenny@mandriva.com> 0.2.5-1mdk
- 0.2.5

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0.2.4-2mdk
- fix build on x86_64
- Requires: unzip
- fix 16x16 icon name (s/ong/png/)
- update summary/description

* Wed Oct 12 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.4-1mdk
- New version 0.2.4

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.3-2mdk
- fix buildrequires

* Sun Jul 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.3-1mdk
- New version 0.2.3

* Thu Jul 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.2-1mdk
- New version 0.2.2
- Include small and large icons

* Sat May 21 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.1-1mdk
- New version 0.2.1

* Thu Apr 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.7-1mdk
- New version 0.1.7

* Mon Mar 28 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.5-2mdk
- %%mkrel

* Wed Mar 09 2005 Eskild Hustvedt <eskild@mandrake.com> 0.1.5-1mdk
- Initial Mandrakelinux package

